Skip to main content
GET
/
{workspace_id}
/
superagents
/
{agent_id}
/
analytics
Get Super Agent analytics
curl --request GET \
  --url https://app.base44.com/api/v1/monitoring/{workspace_id}/superagents/{agent_id}/analytics \
  --header 'api_key: <api-key>'
{
  "superagent_id": "agent_abc123",
  "superagent_name": "Support Agent",
  "active_users_last_7d": 42,
  "active_users_last_30d": 89,
  "message_credits_consumed": 4250,
  "integration_credits_consumed": 875
}

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required
agent_id
string
required

Super Agent ID.

Query Parameters

from
string
required

Start date in YYYY-MM-DD format.

to
string
required

End date in YYYY-MM-DD format.

Response

Successful Response

Detailed analytics for a specific Super Agent.

superagent_id
string
required

Super Agent identifier.

Example:

"agent_abc123"

superagent_name
string
required

Super Agent name.

Example:

"Support Agent"

active_users_last_7d
integer
required

Approximate number of users active in the Super Agent in the last 7 days.

Required range: x >= 0
Example:

42

active_users_last_30d
integer
required

Approximate number of users active in the Super Agent in the last 30 days.

Required range: x >= 0
Example:

89

message_credits_consumed
number
required

Message credits consumed by this Super Agent.

Required range: x >= 0
Example:

4250

integration_credits_consumed
number
required

Integration credits consumed by this Super Agent.

Required range: x >= 0
Example:

875